BCMA(4)

NAME
bcma - Broadcom AMBA Backplane driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device bhnd
device bcma

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    bcma_load="YES"

DESCRIPTION
The bcma driver provides bhnd(4) support for devices using the ARM AMBA-based backplane architecture found in later Broadcom Home Networking Division's (HND) wireless chipsets and embedded systems.

A common interconnect connects all of the backplane's functional blocks. These functional blocks, known as cores, use the ARM AMBA AXI or APB interface to communicate with devices attached to the interconnect.

The IP cores used in siba(4) devices were adapted by Broadcom for compatibility with the new interconnect.

SEE ALSO
bhnd(4)

HISTORY
The bcma device driver first appeared in FreeBSD 11.0.

AUTHORS
-nosplit The bcma driver was written by Landon Fuller <landonf@FreeBSD.org>.